Package org.zkoss.idom

## Class DocType

- java.lang.Object
- - org.zkoss.idom.impl.AbstractItem
  - - org.zkoss.idom.DocType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `org.w3c.dom.DocumentType`, `org.w3c.dom.Node`, `Item`

      public class DocType
      extends AbstractItem
      implements org.w3c.dom.DocumentType

  The iDOM DocType.
  Author:
    tomyeh
  See Also:
    `Document`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `_intSubset` | The internal subset of the DOCTYPE
    `protected java.lang.String` | `_name` | The element being constrained
    `protected java.lang.String` | `_pubId` | The public ID of the DOCTYPE
    `protected java.lang.String` | `_sysId` | The system ID of the DOCTYPE

    - ### Fields inherited from interface org.zkoss.idom.Item

      `FIND_BY_PREFIX, FIND_BY_REGEX, FIND_BY_TAGNAME, FIND_IGNORE_CASE, FIND_RECURSIVE`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DocType()` | Constructor.
    `` | `DocType​(java.lang.String elementName)` | Constructor.
    `` | `DocType​(java.lang.String elementName, java.lang.String systemId)` | Constructor.
    `` | `DocType​(java.lang.String elementName, java.lang.String publicId, java.lang.String systemId)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.w3c.dom.NamedNodeMap` | `getEntities()` |
    `java.lang.String` | `getInternalSubset()` | Gets the data for the internal subset.
    `java.lang.String` | `getName()` | Gets the element name being constrained.
    `short` | `getNodeType()` |
    `org.w3c.dom.NamedNodeMap` | `getNotations()` |
    `java.lang.String` | `getPublicId()` | Gets the public ID of an externally referenced DTD, or an empty String if none is referenced.
    `java.lang.String` | `getSystemId()` | Gets the system ID of an externally referenced DTD, or an empty String if none is referenced.
    `void` | `setInternalSubset​(java.lang.String newData)` | Sets the data for the internal subset.
    `void` | `setName​(java.lang.String elementName)` | Sets the name of the item.
    `void` | `setPublicId​(java.lang.String publicId)` | Sets the public ID of an externally referenced DTD, or an empty String if none is referenced.
    `void` | `setSystemId​(java.lang.String systemId)` | Sets the system ID of an externally referenced DTD, or an empty String if none is referenced.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.zkoss.idom.impl.AbstractItem

      `appendChild, clone, cloneNode, compareDocumentPosition, detach, equals, getAttributes, getBaseURI, getChildNodes, getDocument, getFeature, getFirstChild, getLastChild, getLocalName, getLocator, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParent, getParentNode, getPrefix, getPreviousSibling, getText, getTextContent, getUserData, hasAttributes, hasChildNodes, hashCode, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, match, normalize, removeChild, replaceChild, setLocator, setNodeValue, setParent, setPrefix, setText, setTextContent, setUserData`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Field Detail

    - #### _name

          protected java.lang.String _name

      The element being constrained

    - #### _pubId

          protected java.lang.String _pubId

      The public ID of the DOCTYPE

    - #### _sysId

          protected java.lang.String _sysId

      The system ID of the DOCTYPE

    - #### _intSubset

          protected java.lang.String _intSubset

      The internal subset of the DOCTYPE

  - ### Constructor Detail

    - #### DocType

          public DocType​(java.lang.String elementName,
                         java.lang.String publicId,
                         java.lang.String systemId)

      Constructor.
      Parameters:
        `publicId` - the public Id; null or empty if not available
        `systemId` - the system Id; null or empty if not available

    - #### DocType

          public DocType​(java.lang.String elementName,
                         java.lang.String systemId)

      Constructor.

    - #### DocType

          public DocType​(java.lang.String elementName)

      Constructor.

    - #### DocType

          protected DocType()

      Constructor.

  - ### Method Detail

    - #### getPublicId

          public final java.lang.String getPublicId()

      Gets the public ID of an externally referenced DTD, or an empty String if none is referenced.
      Specified by:
        `getPublicId` in interface `org.w3c.dom.DocumentType`
      Returns:
        the public ID of referenced DTD; never null

    - #### setPublicId

          public final void setPublicId​(java.lang.String publicId)

      Sets the public ID of an externally referenced DTD, or an empty String if none is referenced.
      Parameters:
        `publicId` - the public Id; null or empty if not available

    - #### getSystemId

          public final java.lang.String getSystemId()

      Gets the system ID of an externally referenced DTD, or an empty String if none is referenced.
      Specified by:
        `getSystemId` in interface `org.w3c.dom.DocumentType`
      Returns:
        the system ID of referenced DTD; never null

    - #### setSystemId

          public final void setSystemId​(java.lang.String systemId)

      Sets the system ID of an externally referenced DTD, or an empty String if none is referenced.
      Parameters:
        `systemId` - the system Id; null or empty if not available

    - #### getInternalSubset

          public final java.lang.String getInternalSubset()

      Gets the data for the internal subset.
      Specified by:
        `getInternalSubset` in interface `org.w3c.dom.DocumentType`

    - #### setInternalSubset

          public final void setInternalSubset​(java.lang.String newData)

      Sets the data for the internal subset.

    - #### getName

          public final java.lang.String getName()

      Gets the element name being constrained. Never null.
      Specified by:
        `getName` in interface `org.w3c.dom.DocumentType`
      Specified by:
        `getName` in interface `Item`
      See Also:
        `Namespaceable.getTagName()`

    - #### setName

          public final void setName​(java.lang.String elementName)

      Description copied from interface: `Item`
      Sets the name of the item. For vertices that support namespace (implements Namespaceable), it is the same as setTagName.
      Specified by:
        `setName` in interface `Item`
      Overrides:
        `setName` in class `AbstractItem`
      See Also:
        `Namespaceable.setTagName(java.lang.String)`

    - #### getNodeType

          public final short getNodeType()

      Specified by:
        `getNodeType` in interface `org.w3c.dom.Node`

    - #### getEntities

          public final org.w3c.dom.NamedNodeMap getEntities()

      Specified by:
        `getEntities` in interface `org.w3c.dom.DocumentType`

    - #### getNotations

          public final org.w3c.dom.NamedNodeMap getNotations()

      Specified by:
        `getNotations` in interface `org.w3c.dom.DocumentType`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`